
Katello - Bug #5081

Product deletion does not handle repositories correctly

04/04/2014 07:28 PM - Justin Sherrill

Status: Closed   

Priority: High   

Assignee:    

Category: Orchestration   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1086933 Red Hat JIRA:  

Pull request:    

Description

Currently repo deletion is dynflowed, but product deletion is not.  As a result deleting a product causes the repos in katello to be

deleted but not in pulp or the content removed in elastic search.

Related issues:

Related to Katello - Refactor #6185: Dynflowize product delete Closed 06/12/2014

Blocks Katello - Feature #6180: Implement org destroy Closed 06/12/2014

Associated revisions

Revision 184ff842 - 06/20/2014 12:14 AM - Partha Aji

Fixes #5081, #6185 - Dynflowing product delete

Deleting product was previously doing a repository.destroy_all . This

commit aims to address that and other product deletion issues by

dynflowing the entire product delete orchestration.

Also includes changes by ivan for

Fixes #5081 - use Dynflow polling feature for candlepin async actions

Revision 71f4a53d - 06/20/2014 04:14 AM - Partha Aji

Fixes #5081, #6185 - Dynflowing product delete

Deleting product was previously doing a repository.destroy_all . This

commit aims to address that and other product deletion issues by

dynflowing the entire product delete orchestration.

Also includes changes by ivan for

Fixes #5081 - use Dynflow polling feature for candlepin async actions

Revision 50f47cc9 - 06/20/2014 09:40 AM - David Davis

Merge pull request #4218 from parthaa/product-destroy

Fixes #5081,6185  - Dynflowing product delete

Revision 3f8ac7de - 06/20/2014 01:40 PM - David Davis

Merge pull request #4218 from parthaa/product-destroy

Fixes #5081,6185  - Dynflowing product delete

History

#1 - 04/11/2014 08:59 PM - Bryan Kearney

from se training:

Lab11: if a product is deleted without first deleting the repository, the repository name cannot be reused. I suspect that the repository name is not

getting deleted from the database.
#2 - 04/11/2014 08:59 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1086933

#3 - 04/24/2014 07:48 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#4 - 06/04/2014 12:33 PM - Eric Helms

- Category set to Orchestration

- Target version set to 45

- Difficulty set to medium

- Triaged changed from No to Yes

#5 - 06/12/2014 12:27 PM - David Davis

- Blocks Feature #6180: Implement org destroy added

#6 - 06/12/2014 12:53 PM - Ivan Necas

- Related to Refactor #6185: Dynflowize product delete added

#7 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#8 - 06/20/2014 01:53 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:71f4a53db0243404d7df8563315686e5716a79ef.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

